# Emolens - Emotion Recognition Application

## Overview
Emolens is an emotion recognition application that allows users to upload videos for emotion analysis. The application consists of a frontend built with React, a backend API built with NestJS, and a machine learning processing service using FastAPI. The classification model, which processes the emotions, is not included in this repository.

## Tech Stack
- **Frontend:** React (folder vite-ts-app)
- **Backend:** NestJS (folder backend)
- **Machine Learning Service:** FastAPI (Python) (folder algorithm)
- **Video Processing & Communication:** REST API calls between services

## Workflow
1. The user uploads a video through the React frontend.
2. The frontend captures the video and sends it to the NestJS backend.
3. The NestJS backend forwards the video to the FastAPI service.
4. The FastAPI service processes the video and calls the classification model (currently not included in the repository).
5. The classification result is sent back through the FastAPI service to NestJS.
6. The NestJS backend returns the classification result to the frontend for display.

## Installation & Setup
### Prerequisites
- Node.js
- Python (for FastAPI service)
- Package managers: npm/yarn & pip


## Contributors
- Paulo Fontes

## Contact
For any inquiries, please reach out to paulo.batista-fontes@student-cs.fr.

