import os
from fastapi import FastAPI, File, UploadFile
from typing import List
from time import sleep

app = FastAPI()

# Ensure the uploads directory exists
UPLOAD_DIR = "uploads"
os.makedirs(UPLOAD_DIR, exist_ok=True)

@app.post("/upload/")
async def upload_files(files: List[UploadFile]):
    sleep(3)
    saved_files = []
    
    for file in files:
        file_path = os.path.join(UPLOAD_DIR, file.filename)
        
        # Save the file
        with open(file_path, "wb") as buffer:
            buffer.write(await file.read())
        
        saved_files.append(file_path)

    return {"classification": "happy"}