import { Injectable } from '@nestjs/common';
import axios from 'axios';
import * as FormData from 'form-data';
import { createReadStream } from 'fs';

@Injectable()
export class UploadService {
  async getEmotion(files: Express.Multer.File[]): Promise<object> {
    try {
      const formData = new FormData();

      // Append each file to the form data
      files.forEach((file) => {
        formData.append('files', createReadStream(file.path), file.originalname);
      });

      // Send a POST request with files
      const response = await axios.post('http://127.0.0.1:8000/upload/', formData, {
        headers: {
          ...formData.getHeaders(),
        },
      });

      return this.as_json(response.data.classification);
    } catch (error) {
      throw new Error(`Error calling Python API: ${error.message}`);
    }
  }

  private as_json(classification: string): object {
    return { classification };
  }
}
