import { useEffect, useState } from "react";
import FileUploadContainer from "./FileUploadContainer";
import VideoBackground from "./VideoBackground";


function App() {
  const [message, setMessage] = useState("");

  useEffect(() => {
    fetch("http://localhost:3000")
      .then((res) => res.text())
      .then((data) => setMessage(data))
      .catch((err) => console.error(err));
  }, []);

  return (
      <VideoBackground videoSrc="\src\assets\background.mp4" transparency={0.15}>
        <div className="font-mono">
          <h1 className="mb-3 font-bold">Emolens</h1>
          <p className="font-semibold">Our AI is capable of detecting the main emotion in a video sample.</p>
          <div className="mt-5 mb-5">
            <FileUploadContainer />
          </div>
          {/* <h1>{message}</h1> */}
        </div>
      </VideoBackground>
  );
}

export default App;
